<?php
/**
 * Plugin Name:       DeeLauLab AzuraCast History
 * Description:       Zeige die zuletzt gespielten Songs deiner AzuraCast-Station dynamisch und stilvoll auf deiner WordPress-Seite an.
 * Version:           1.1.0
 * Author:            DeeLauLab
 * Author URI:        https://deelaulab.de/
 */

if ( ! defined( 'ABSPATH' ) ) exit;

// Alle notwendigen Klassen laden
require_once plugin_dir_path( __FILE__ ) . 'includes/class-deelaulab-cover-finder.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-deelaulab-azuracast-model.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-deelaulab-azuracast-view.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-deelaulab-azuracast-controller.php';

// Frontend starten
new DeeLauLab_AzuraCast_Controller();

// Backend (Einstellungsseite) nur im Admin-Bereich starten
if ( is_admin() ) {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-deelaulab-azuracast-admin.php';
    new DeeLauLab_AzuraCast_Admin();
}